Search documentation of Ragex

# Ragex.MCP.Handlers.Prompts (Ragex v0.4.0)

View Source

Handles MCP prompt-related requests.

Implements the prompts/list and prompts/get methods. Prompts provide templated high-level workflows that compose multiple tools.

## Summary

### Functions

get_prompt(name, arguments)

Gets a prompt by name with filled-in arguments.

list_prompts()

Lists all available prompts.

## Functions

# get_prompt(name, arguments)

Gets a prompt by name with filled-in arguments.

Returns prompt messages and suggested tools to use.

# list_prompts()

Lists all available prompts.

Returns prompt definitions with names, descriptions, and argument schemas.